Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 471446 - Duplicate packages listed in System -> Software -> Packages -> Install
Summary: Duplicate packages listed in System -> Software -> Packages -> Install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Spacewalk
Classification: Community
Component: WebUI
Version: 0.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jesus M. Rodriguez
QA Contact: wes hayutin
URL: https://dhcp231-223.rdu.redhat.com/rh...
Whiteboard:
Depends On:
Blocks: space04
TreeView+ depends on / blocked
 
Reported: 2008-11-13 18:56 UTC by wes hayutin
Modified: 2009-01-22 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-22 16:30:40 UTC


Attachments (Terms of Use)

Description wes hayutin 2008-11-13 18:56:35 UTC
Description of problem:

Duplicate packages listed in System -> Software -> Packages -> Install

from the list..
 	  a2ps-4.13b-57.2.el5   	 i386
	a2ps-4.13b-57.2.el5 	i386
	adaptx-0.9.13-3jpp.1:0 	i386
	adaptx-doc-0.9.13-3jpp.1:0 	i386
	adaptx-javadoc-0.9.13-3jpp.1:0 	i386
	adjtimex-1.20-2.1 	i386
	agg-2.4-2.1 	i386
	agg-devel-2.4-2.1 	i386
	aide-0.13.1-2.0.4.el5 	i386
	aide-0.13.1-2.0.4.el5 	i386
	alacarte-0.10.0-1.fc6 	noarch
	alchemist-1.0.36-2.el5 	i386
	alchemist-devel-1.0.36-2.el5 	i386
	alsa-lib-1.0.14-1.rc4.el5 	i386
	alsa-lib-1.0.14-1.rc4.el5 	i386
	alsa-lib-1.0.14-1.rc4.el5 	i386
	alsa-lib-devel-1.0.14-1.rc4.el5 	i386
	alsa-lib-devel-1.0.14-1.rc4.el5 	i386
	alsa-lib-devel-1.0.14-1.rc4.el5 	i386
	alsa-utils-1.0.14-3.rc4.el5


the duplicate packages have the same id,so I think they are just being displayed twice, and there are not two actual packages

Comment 1 Jesus M. Rodriguez 2009-01-09 20:51:03 UTC
fixed in e10b521dddb5f06cc4c86d43b007d553742641b7

added a distinct to the query.


Note You need to log in before you can comment on or make changes to this bug.